import {request} from '@/utils/request.js'

// 获取优惠券列表
export function getCouponList(data) {
	return request({
		url: '/zswl-cloud-shop/couponInfo/couponList',
		data
	})
}

// 获取店铺优惠券列表
export function getShopCouponList(data) {
	return request({
		url: '/zswl-cloud-shop/couponInfo/couponByShop',
		data
	})
}

// 领取优惠券
export function claim(data) {
	return request({
		url: '/zswl-cloud-shop/couponInfoLog/create',
		method:'post',
		data
	})
}


// 已领取优惠券列表
export function getMyCouponList(data) {
	return request({
		url: '/zswl-cloud-shop/couponInfoLog/search',
		data
	})
}


// 我的优惠券
export function couponByUser(data) {
	return request({
		url: '/zswl-cloud-shop/couponInfo/couponByUser',
		data
	})
}
// 小桔优惠券领取
export function getXiaojuCoupon(data) {
	return request({
		url: '/zswl-cloud-shop/couponInfoLog/getXiaojuCoupon',
		method:'post',
		data
	})
}
// 优惠券详情
export function getCouponDetail(data) {
	return request({
		url: '/zswl-cloud-shop/couponInfo/detail',
		data
	})
}
